/*
 * Copyright 2010 Trident Microsystems (Far East) Ltd. All rights reserved.
 * All prior copyright rights in this work and the accompanying software
 * products transferred to Trident Microsystems (Far East) Ltd. by written
 * agreement.
 */
/*****************************************************************************/
/* Copyright (c) 2010 NXP B.V.  All rights are reserved.                     */
/*                                                                           */
/* Redistribution and use in source and binary forms, with or without        */
/* modification, are permitted provided that the following conditions        */
/* are met:                                                                  */
/*                                                                           */
/* Redistributions of source code must retain the above copyright            */
/* notice, this list of conditions and the following disclaimer.             */
/*                                                                           */
/* Redistributions in binary form must reproduce the above copyright         */
/* notice, this list of conditions and the following disclaimer in the       */
/* documentation and/or other materials provided with the distribution.      */
/*                                                                           */
/* Neither the name of NXP nor the names of its                              */
/* contributors may be used to endorse or promote products derived from      */
/* this software without specific prior written permission.                  */
/*                                                                           */
/* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS       */
/* "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT         */
/* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR     */
/* A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT      */
/* OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,     */
/* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT          */
/* LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,     */
/* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY     */
/* THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT       */
/* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE         */
/* USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH          */
/* DAMAGE.                                                                   */
/*                                                                           */
/*****************************************************************************/

/* Configuration C16 (msvd=333 mips=240 pi=68 ddr=166 dualsif=200) */

	li t0, 0x5b007ffa	/* clk_pll_ddr_m_ctl (DDR clock) */
	li t1, 0xB7e09018
	sw t0, 0x0(t1)
	li t0, 0x000400e2	/* clk_pll_ddr_np_ctl */
	li t1, 0xB7e0901c
	sw t0, 0x0(t1)
	li t0, 0x0000002b	/* CLK_DISP_HD_CLK_CTL (Display clocks) */
	li t1, 0xb7e09288
	sw t0, 0x0(t1)
	li t0, 0x0000002b	/* CLK_PIP_HD_CLK_CTL */
	li t1, 0xb7e0928c
	sw t0, 0x0(t1)
	li t0, 0x00000023	/* CLK_OSD_HD0_CLK_CTL */
	li t1, 0xb7e09290
	sw t0, 0x0(t1)
	li t0, 0x00000023	/* CLK_OSD_HD1_CLK_CTL */
	li t1, 0xb7e09294
	sw t0, 0x0(t1)
	li t0, 0x0000002b	/* CLK_MX_HD_CLK_CTL */
	li t1, 0xb7e09298
	sw t0, 0x0(t1)
	li t0, 0x00000023	/* CLK_SYNC_HD_CLK_CTL */
	li t1, 0xb7e0929c
	sw t0, 0x0(t1)
	li t0, 0x0000002b	/* CLK_SYNC_HD_PXL_CLK_CTL */
	li t1, 0xb7e092a0
	sw t0, 0x0(t1)
	li t0, 0x0000002b	/* CLK_DVO_HD_CLK_CTL */
	li t1, 0xb7e092a4
	sw t0, 0x0(t1)
	li t0, 0x0000002b	/* CLK_HD_SD_SCALER_CLK_CTL */
	li t1, 0xb7e092a8
	sw t0, 0x0(t1)
	li t0, 0x0000002b	/* CLK_DVO_SD_CLK_CTL */
	li t1, 0xb7e092ac
	sw t0, 0x0(t1)
	li t0, 0x00000023	/* CLK_DENC_HD_CLK_CTL */
	li t1, 0xb7e092c8
	sw t0, 0x0(t1)
	li t0, 0x00000023	/* CLK_DENC_HD_SD_CLK_CTL */
	li t1, 0xb7e092cc
	sw t0, 0x0(t1)
	li t0, 0x00000023	/* CLK_DENC_HD_DAC_CLK_CTL */
	li t1, 0xb7e092d8
	sw t0, 0x0(t1)
	li t0, 0x00000023	/* CLK_DAC_OUT_HD_CLK_CTL */
	li t1, 0xb7e092e8
	sw t0, 0x0(t1)
	li t0, 0xFFFFFFFF	/* R20 (Release clocks) */
	li t1, 0xb7e09300
	sw t0, 0x0(t1)
	li t0, 0xFFFFFFFF	/* R21 */
	li t1, 0xb7e09304
	sw t0, 0x0(t1)
	li t0, 0x77ffbfff	/* reset_control */
	li t1, 0xb7e08004
	sw t0, 0x0(t1)
	li t0, 0x0000007f	/* reset_control2 */
	li t1, 0xb7e08014
	sw t0, 0x0(t1)
	li t0, 0x00009C40	/* SIF0_DCNT (Setup SIF0) */
	li t1, 0xb7e03000
	sw t0, 0x0(t1)
	li t0, 0x00003552	/* SIF0_MEM_CONF */
	li t1, 0xb7e03004
	sw t0, 0x0(t1)
	li t0, 0x000003c0	/* SIF0_REFRESH_PERIOD */
	li t1, 0xb7e03008
	sw t0, 0x0(t1)
	li t0, 0x00000008	/* SIF0_TRAS_TIMING */
	li t1, 0xb7e0300c
	sw t0, 0x0(t1)
	li t0, 0x00000003	/* SIF0_TRCD_TIMING */
	li t1, 0xb7e03010
	sw t0, 0x0(t1)
	li t0, 0x00000003	/* SIF0_TWR_TIMING */
	li t1, 0xb7e03014
	sw t0, 0x0(t1)
	li t0, 0x00000003	/* SIF0_TRP_TIMING */
	li t1, 0xb7e03018
	sw t0, 0x0(t1)
	li t0, 0x0000000E	/* SIF0_TRFC_TIMING */
	li t1, 0xb7e0301c
	sw t0, 0x0(t1)
	li t0, 0x00000002	/* SIF0_TRRD_TIMING */
	li t1, 0xb7e03020
	sw t0, 0x0(t1)
	li t0, 0x00000002	/* SIF0_TWTR_TIMING */
	li t1, 0xb7e03024
	sw t0, 0x0(t1)
	li t0, 0x00000002	/* SIF0_TRTW_TIMING */
	li t1, 0xb7e03028
	sw t0, 0x0(t1)
	li t0, 0x00000002	/* SIF0_TMRD_TIMING */
	li t1, 0xb7e03030
	sw t0, 0x0(t1)
	li t0, 0x00000002	/* SIF0_SAMP_LATENCY */
	li t1, 0xb7e03040
	sw t0, 0x0(t1)
	li t0, 0x00000003	/* SIF0_RESET */
	li t1, 0xb7e03ff4
	sw t0, 0x0(t1)
	li t0, 0x00009C40	/* SIF1_DCNT (Setup SIF1) */
	li t1, 0xb7e54000
	sw t0, 0x0(t1)
	li t0, 0x00003552	/* SIF1_MEM_CONF */
	li t1, 0xb7e54004
	sw t0, 0x0(t1)
	li t0, 0x000003c0	/* SIF1_REFRESH_PERIOD */
	li t1, 0xb7e54008
	sw t0, 0x0(t1)
	li t0, 0x00000008	/* SIF1_TRAS_TIMING */
	li t1, 0xb7e5400c
	sw t0, 0x0(t1)
	li t0, 0x00000003	/* SIF1_TRCD_TIMING */
	li t1, 0xb7e54010
	sw t0, 0x0(t1)
	li t0, 0x00000003	/* SIF1_TWR_TIMING */
	li t1, 0xb7e54014
	sw t0, 0x0(t1)
	li t0, 0x00000003	/* SIF1_TRP_TIMING */
	li t1, 0xb7e54018
	sw t0, 0x0(t1)
	li t0, 0x0000000E	/* SIF1_TRFC_TIMING */
	li t1, 0xb7e5401c
	sw t0, 0x0(t1)
	li t0, 0x00000002	/* SIF1_TRRD_TIMING */
	li t1, 0xb7e54020
	sw t0, 0x0(t1)
	li t0, 0x00000002	/* SIF1_TWTR_TIMING */
	li t1, 0xb7e54024
	sw t0, 0x0(t1)
	li t0, 0x00000002	/* SIF1_TRTW_TIMING */
	li t1, 0xb7e54028
	sw t0, 0x0(t1)
	li t0, 0x00000002	/* SIF1_TMRD_TIMING */
	li t1, 0xb7e54030
	sw t0, 0x0(t1)
	li t0, 0x00000002	/* SIF1_SAMP_LATENCY */
	li t1, 0xb7e54040
	sw t0, 0x0(t1)
	li t0, 0x00000003	/* SIF1_RESET */
	li t1, 0xb7e54ff4
	sw t0, 0x0(t1)
	li t0, 0x00000007	/* CLK_PCP_CTL (PI clock) */
	li t1, 0xb7e09204
	sw t0, 0x0(t1)
	li t0, 0x5b007ffa	/* PLL_MSVD_M_CTL (MSVD clock) */
	li t1, 0xb7e09010
	sw t0, 0x0(t1)
	li t0, 0x001400e2	/* PLL_MSVD_NP_CTL */
	li t1, 0xb7e09014
	sw t0, 0x0(t1)
	li t0, 0x00000030	/* CONFIG_MUX (Config TS as input) */
	li t1, 0xb7E07004
	sw t0, 0x0(t1)
	li t0, 0x0000000C	/* CLK_TS_OUTCP_CTL (Disable SD clocks) */
	li t1, 0xb7e09284
	sw t0, 0x0(t1)
	li t0, 0x00000008	/* CLK_SIZR_CLK_CTL */
	li t1, 0xb7e092c0
	sw t0, 0x0(t1)
	li t0, 0x77EFBFFF	/* reset_control (Additional MMU reset) */
	li t1, 0xb7e08004
	sw t0, 0x0(t1)
	li t0, 0x77FFBFFF	/* reset_control */
	li t1, 0xb7e08004
	sw t0, 0x0(t1)
	li t0, 0x015f000f	/* cdmmu_config (single vs dual sif (again)) */
	li t1, 0xb7e05084
	sw t0, 0x0(t1)
