#
# If the user has its own cywin on the PC he can overrule
# it by setting a CYGWIN environment variable. Else we
# take our own defaults. EK
#
# If we want to use the search PATH for programs,
# then define CYGWINROOT as an empty environment variable.

#-----------------------------------------------------------------------
# changes to this file force rebuild
#-----------------------------------------------------------------------

_SDE_DEP_MAKEFILES += $(lastword $(MAKEFILE_LIST))

ifeq "$(filter undefined,$(origin CYGWINROOT))" "undefined"
ifeq ($(CYGWIN),)
CYGWINROOT=$(_TMROOT)/sde/cygwin/
GCC=$(CYGWINROOT)gcc/bin/gcc
else
CYGWINROOT=$(CYGWIN)/bin/
GCC=$(CYGWINROOT)gcc
endif
endif

MKDIR=$(CYGWINROOT)mkdir -p
CAT=$(CYGWINROOT)cat
SED=$(CYGWINROOT)sed
RM=$(CYGWINROOT)rm -fr

ifdef _SDE_CYGWIN_MAKE
MAKE=$(CYGWINROOT)make -r
else
MAKE=$(CYGWINROOT)gmake -r
endif

CD=cd
LS=ls
ECHO=$(CYGWINROOT)echo
GAWK=$(CYGWINROOT)gawk
CMP=$(CYGWINROOT)cmp
CP=$(CYGWINROOT)cp
MV=$(CYGWINROOT)mv
CHMOD=$(CYGWINROOT)chmod
TOUCH=$(CYGWINROOT)touch
TEST=$(CYGWINROOT)test
DOXYGEN=$(_TMROOT)/sde/autodoc/doxygen.exe
PERL=perl
_SDE_DOT_PATH=c:/progra~1/ATT/graphviz/bin
