#
#                             IPSTB Project
#                   ---------------------------------
#
# Copyright (C) 2008 NXP B.V.,
# All Rights Reserved.
#
# Filename: $_TMROOT/project/mipsgnu_linux_include.mk
#
# Included from $_TMROOT/project/project_include.mk
#
# Rev Date       Author      Comments
#-------------------------------------------------------------------------------
#   1 20070109   steel       Initial
#   2 20071016   steel       add msoft-float when available
#   3 20080625   batelaan    Add include of manifest.mk

_SDE_DEP_MAKEFILES += $(_TMROOT)/project/$(DIR_CONFIG)_include.mk

_SDE_INCLUDES += -I$(STAGINGDIR)/usr/local/include
_SDE_INCLUDES += -I$(STAGINGDIR)/usr/include
_SDE_INCLUDES += -I$(STAGINGDIR)/include
_SDE_LIB_PATHS += -L$(STAGINGDIR)/usr/local/lib
_SDE_LIB_PATHS += -L$(STAGINGDIR)/usr/lib
_SDE_LIB_PATHS += -L$(STAGINGDIR)/lib

ifneq "$(filter mipsel-linux- mips-linux-,$(CROSS_COMPILE))" ""
    _SDE_EXTRA_CFLAGS += -msoft-float
endif

include $(_TMROOT)/project/manifest.mk
