#-----------------------------------------------------------------------
# changes to this file force rebuild
#-----------------------------------------------------------------------
_SDE_DEP_MAKEFILES +=   $(DIR_SDE)/$(_TMTOOLCHAIN)/makelib.mk

#-----------------------------------------------------------------------
# Support for extensions
#-----------------------------------------------------------------------
-include $(_SDE_PROJECT)/config_makelib_include0.mk
-include $(DIR_SDE)/$(_TMTGTOSCLASS)/makelib_ext0.mk

#-----------------------------------------------------------------------
# generic makefile for building libraries with the gnu environment
#-----------------------------------------------------------------------
TARGETNAME=lib$(TARGET)$(LIB_SUFFIX)$(_SDE_ARSUFFIX).$(_SDE_LIB_EXTN)

ifneq ($(EXPORTS),)
_SDE_DLL_PREFIX := lib
_SDE_DLLTARGETNAME = $(_SDE_DLL_PREFIX)$(TARGET).$(_SDE_DLL_EXTN)
_SDE_THISDLL=$(_SDE_DIR_LIB)/$(_SDE_DIVERSITY)/$(_SDE_DLLTARGETNAME)
endif

_SDE_DLL_OPTIONS += \
                -shared

_SDE_DLL_OPTIONS += $(_SDE_LIB_PATHS)
_SDE_DLL_OPTIONS += $(_SDE_OBJECTS)
_SDE_DLL_OPTIONS += $(DLLIMPORTS:%=$(_SDE_DIR_LIB)/%.so)
_SDE_DLL_OPTIONS += $(_SDE_LIBRARIES)
_SDE_DLL_OPTIONS += $(_SDE_EXT_LIBS)
_SDE_DLL_OPTIONS += $(_SDE_DLLS)
_SDE_DLL_OPTIONS += $(_SDE_EXT_DLLS)
_SDE_DLL_OPTIONS += $(LOCAL_DLLFLAGS)

ifeq ($(REL_SUFFIX),)           #retail mode
else
ifeq ($(REL_SUFFIX),_a)         #assert mode
else
_SDE_DLL_DEBUG_OPTIONS = -debug
endif
endif

_SDE_OUT_LB :=
_SDE_OUT_LD := -o $(_space_)

gcov:
	@$(ECHO) "gcov can only be used on applications"

#-----------------------------------------------------------------------
# include common goals to build libraries
#-----------------------------------------------------------------------
include $(DIR_SDE)/makelib.mk

#-----------------------------------------------------------------------
# Support for extensions
#-----------------------------------------------------------------------
-include $(DIR_SDE)/$(_TMTGTOSCLASS)/makelib_ext.mk
-include $(_SDE_PROJECT)/config_makelib_include.mk

$(_SDE_END_COMMANDS)
