# (C) 2006: NXP Semiconductors
# Author: Bhaskar G
# Maintained By: STA/SDM/SDE2 Team
#
# common part of the generic makefiles for the mipsgnu_linux environment
#-----------------------------------------------------------------------
_SDE_DEP_MAKEFILES +=   $(DIR_SDE)/$(DIR_CONFIG)/common.mk

GCC_PREFIX ?= mips-linux

_SDE_CPU_FLAVOR=-DMIPS_CPU -D_UNDER_LINUX

_SDE_EXTRA_CFLAGS += -G 0
_SDE_EXTRA_CXXFLAGS += $(_SDE_EXTRA_CFLAGS)
_SDE_EXTRA_AFLAGS += $(_SDE_EXTRA_CFLAGS)

#-----------------------------------------------------------------------
# define processor specific options
#-----------------------------------------------------------------------
ifeq ($(_TMTGTCPUTYPE),r3940)
_SDE_PROC_DEFINES=-mcpu=r3000 -mips1
endif
ifeq ($(_TMTGTCPUTYPE),r4300)
_SDE_PROC_DEFINES=-mcpu=r4000
endif
ifeq ($(_TMTGTCPUTYPE),r4450)
_SDE_PROC_DEFINES=-mips2
endif
ifeq ($(_TMTGTCPUTYPE),r4640)
_SDE_PROC_DEFINES=-mcpu=r4000
endif
ifeq ($(_TMTGTCPUTYPE),4KEc)
_SDE_PROC_DEFINES=-mips32r2 -mtune=4kc
endif

#-----------------------------------------------------------------------
# Include gnu based common.mk
#-----------------------------------------------------------------------
include $(DIR_SDE)/$(_TMTOOLCHAIN)/common.mk

