# ex:set ai aw et ic sm sw=4 ts=8 wm=0:
# $Header:$

ifndef          _SDE_MIPSGNU_LINUX_MAKETARGET_DVP1_MK_
_SDE_MIPSGNU_LINUX_MAKETARGET_DVP1_MK_ = $$$(word 2, $Archive:$)

# (C) Copyright 2006 NXP Semiconductors, All Rights Reserved
#
# This source code and any compilation or derivative thereof is the sole
# property of NXP and is provided pursuant to a Software
# License Agreement.  This code is the proprietary information of
# NXP and is confidential in nature.  Its use and
# dissemination by any party other than NXP is strictly
# limited by the confidential information provisions of the Agreement
# referenced above.
#
#------------------------------------------------------------------------------
#
# FILENAME:     maketarget_dvp1.mk
#
# DESCRIPTION:  Application makefile, DVP1 target specialist
#
# NOTES:
#
#------------------------------------------------------------------------------

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
# changes to this file force rebuild

_SDE_DEP_MAKEFILES +=   $(DIR_SDE)/$(DIR_CONFIG)/maketarget_dvp1.mk

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
# include genereic makefile

include $(DIR_SDE)/$(DIR_CONFIG)/maketarget.mk

_SDE_EXT_LIBS +=                                                              \
            $(_SDE_DIR_LIB)/libtmbslBoards$(LIB_SUFFIX)$(REL_SUFFIX).$(_SDE_LIB_EXTN)

_SDE_EXT_LIBS += $(foreach board,$(_TMTGTBOARDS),                                                                              \
                 $(if $(wildcard $(_SDE_DIR_LIB)/lib$(board)$(LIB_SUFFIX)$(REL_SUFFIX).$(_SDE_LIB_EXTN)),                      \
                 $(_SDE_DIR_LIB)/lib$(board)$(LIB_SUFFIX)$(REL_SUFFIX).$(_SDE_LIB_EXTN),                                       \
		 $(if $(wildcard $(_$(board)_DIR)/$(_SDE_DIR_LIB_EXT)/lib$(board)$(LIB_SUFFIX)$(REL_SUFFIX).$(_SDE_LIB_EXTN)), \
                 $(_$(board)_DIR)/$(_SDE_DIR_LIB_EXT)/lib$(board)$(LIB_SUFFIX)$(REL_SUFFIX).$(_SDE_LIB_EXTN),                  \
		 $(_SDE_DIR_LIB)/lib$(board)$(LIB_SUFFIX)$(REL_SUFFIX).$(_SDE_LIB_EXTN))))

endif  # ifndef _SDE_MIPSGNU_LINUX_MAKETARGET_DVP1_MK_
